from core.constants import CellValue

buildingsTiledef = {
    "imageFile": "toen/buildings.png",
    "colorKey": (0, 0, 0),
    "tileSize": (16, 16),
    "tiles": {
        CellValue.NONE: [(0, 0)],
        CellValue.BUILDINGS_ASSIGNED: (1, 0),
        CellValue.BUILDINGS_WALL: (6, 5),
        CellValue.BUILDINGS_CITY: [
            (0, 1), (1, 1), (0, 2), (1, 2),
            (3, 1), (4, 1), (3, 2), (4, 2),
            (5, 1), (6, 1), (5, 2), (6, 2),

            (0, 3), (1, 3), (0, 4), (1, 4),
            (3, 3), (4, 3), (3, 4), (4, 4),
            (5, 3), (6, 3), (5, 4), (6, 4),

            (0, 5), (1, 5), (0, 6), (1, 6),
            (3, 5), (4, 5), (3, 6), (4, 6),
            (5, 5), (6, 5), (5, 6), (6, 6),

            (0, 7), (1, 7), (0, 8), (1, 8),
            (3, 7), (4, 7), (3, 8), (4, 8),
            (5, 7), (6, 7), (5, 8), (6, 8),

            (0, 9), (1, 9), (0, 10), (1, 10),
            (3, 9), (4, 9), (3, 10), (4, 10),
            (5, 9), (6, 9), (5, 10), (6, 10),
        ],
    },
}